Subject: [os2genau_digest] No. 636
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 8 Jun 2003 00:02:01 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Saturday 07 June 2003
 Number  636
**************************************************

Subjects for today
 
1  Re:  eCS install : Dennis Nolan <denny at alphalink dot com dot au>
2  Re:  eCS install - of Dennis Nolan : Mike O'Connor" <mikeoc at dodo dot com dot au>
3   Movement at the station : Gregory Hicks" <ghicks at ihug dot com dot au>

**= Email   1 ==========================**

Date:  Sat, 07 Jun 2003 09:08:20 +1000
From:  Dennis Nolan <denny at alphalink dot com dot au>
Subject:  Re:  eCS install

Hi All

I've just had another look at the CD and the BOOTIMGS subdir seems to be devoted to the boot
options screen. But I suppose that even with the straight through default install, the defaults
are probably there.

I eMailed Orion Solutions yesterday, so I'll have to wait for their reply.

regards
Dennis.

Frank Bendon wrote:

> Hi All
> My eCS disk (received Wed 4th) also has a bad /BOOTIMGS/BOOT_CAT.BIN
> file as well as a couple of missing 'licence .txt' files.
> I tried to install it onto a spare hard disk (real simple... no
> partitions) but it fails after 6 mins into Phase 1.   Have not been able
> get get  any further than that.
> The readme says I should send the log files off to a website but they
> are either completely empty or dont say much (no obvious error messages)
> - would I be waisting my time if I send the files off ??
>
> Cheers
> Frank Bendon
>
>
> Dennis Nolan wrote:
>
> >Hi All
> >Took the day off to get a extra good long weekend.
> >
> >I used LVM to re allocate drive letters. Found out that I could ignore what was allocated to
> >the CD drives, just assign what you want to the HD partitions and if there is a conflict the
> >CD's are moved. I was too used to only allocating letters that were unused.
> >So I reassigned the partitions to D, E, F and G. The CD's are now on H & I
> >
> >I Then rebooted to the CD and used the easy install, here are the results:
> >
> >SYS 1719  ECS\BOOT\MOUSE.SYS
> >SYS 1719  ECS\BOOT\USBKBS.SYS
> >SYS 1719  ECS\BOOT\USBMOUSE.SYS
> >SYS 1719  ECS\BOOT\USBRESMG.SYS
> >SYS 0022  The system cannot write to the specified device
> >SYS 1804  The system could not find the file X.
> >SYS 1804  The system could not find the file X.
> >
> >Where the X is in the file name there was the filled in black heart gylf.
> >
> >Remembering that the eCS 1.0 CD had a CD vallidation program I went looking for it, and not
> >finding it got realy desperate and realy started reading all the text files in the CD's root
> >directory.
> >Finally found where it mentioned the CDMD5CHK.CMD CD file checker. So I followed the
> >directions and found that I had an inconsistent \BOOTIMGS\BOOT_CAT.BIN file.
> >That may explain why I am having all these problems.
> >
> >There were also a few missing Copywrite.txt files in the CID subdirectories.
> >
> >
> >regards
> >Dennis.
> >
> >
> >Ed Durrant wrote:
> >
> >
> >
> >>Silly question .... but are you sure you have selected the ciorrect SCSI driver in the
> >>setup page ?
> >>
> >>Cheers/2
> >>
> >>Ed.
> >>
> >>Dennis Nolan wrote:
> >>
> >>
> >>
> >>>Hi Rob
> >>>Good point
> >>>
> >>>I have a CDROM as the Master device on IDE_0
> >>>A CDRWROM as the Master device on IDE_1
> >>>The SCSI drive is divided into the following partitions
> >>>
> >>>C:   E:   F:   R:  &  T:
> >>>
> >>>The CDROM is mapped to D: by LVM, and cannot be changed, though the installer does set
> >>>it to Y:
> >>>
> >>>However I have just taken note of you comments and re attempted with the Reserved
> >>>Drive set to U, I also continued with Alt F4
> >>>Here are the results
> >>> CDFS.IFS
> >>>IBMCDROM.DMD
> >>>\LOCATECD.SYS
> >>>\ECS\BOOT\UNICODE  This brought up a SYS1719 Message, something about it not being a
> >>>valid device driver
> >>>JFS.IFS
> >>>TESTCFG.SYS
> >>>\ECS\BOOT\DOS.SYS
> >>>\ECS\BOOT\PMDD.SYS
> >>>\ECS\BOOT\POINTDD.SYS
> >>>\ECS\BOOT\MOUSE.SYS
> >>>
> >>>The 3 USB related drivers I skipped
> >>>
> >>>ERASEFIL.SYS
> >>>CMD.EXE
> >>>CMD.EXE
> >>>CMD.EXE
> >>>Prepareing to start installer
> >>>SYS 1804 The system couldnt find the file .
> >>>SYS 1804 The system couldnt find the file .
> >>>Z:\PMSHELL.EXE
> >>>
> >>>The file PMWP couldnt be found etc
> >>>
> >>>Regards
> >>>Dennis.
> >>>
> >>>
> >>>
> >
> >Chop Chop
> >
> >

> > 

> >
> >
> >
>

>  

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 07 Jun 2003 13:26:28 +1100
From:  "Mike O'Connor" <mikeoc at dodo dot com dot au>
Subject:  Re:  eCS install - of Dennis Nolan

Hi Bob & all,
Just *had* to check out *my* CD#1 , on which I've had no problems since 
unsuccessfully attempting to set the install CD drive as Z:, to check 
whether mine exhibited the same "faults".

The relevant facts are as follows :

cdmd5chk.cmd runs md5-signature checking against the entire list of 
files in md5.lis in the root of the CD.

According to the md5.lis the md5 data for  \BOOTIMGS\BOOT_CAT.BIN  was 
generated from that file with the following timestamp:

12/18/02   8:20a        2048  A----  \BOOTIMGS\BOOT_CAT.BIN    <-- MDY 
format! 18 DEC 2002

However the actual file for which the cdmd5chk.cmd is [supposedly re-] 
computing a confirmatory md5-signature is shown in the directory as 
having the following timestamp [DMY format] :

16/04/03 19:41

So, it's not surprising that an error is indicated.  The 
actual BOOT_CAT.BIN file has obviously been updated in the interim since 
18/12/2002, in fact it was timestamped 3 minutes *after* MD5.LIS  was 
already written.

So , for Mark specifically, the line in md5.lis should be as in the 
attachment, which will get to you, but be stripped here on the list and 
which [with line wrap on] is not :

12/18/02   8:20a        2048  A----  \BOOTIMGS\BOOT_CAT.BIN          ! 
77840642c060673d11dc26c204e560e8

    but SHOULD be:

 4/16/03   7:41p        2048  A----  \BOOTIMGS\BOOT_CAT.BIN          ! 
a98bdc1428a6d02c2dda9a46c9742ea1

The tilde errors wouldn't have occurred if md5.lis had been updated with 
the final names of those three files.
Note that the file md5.lis is not included in md5.lis [chicken & egg 
problem] - I don't know [yet?] if it is verified elsewhere.

Separately to verify that it is unchanged, following the ~ changes, same 
timestamps still, and the BOOT_CAT.BIN entry,
 the md5.lis would have an md5 signature of:

MD5 (\MD5.LIS) = 3a410bfa5921f2a2e3761f4f2fbdb2cf

[MD5-signature doesn't include anything other than the data contents of 
the files - filename/timestamp/EAs are ignored].

[Mark, I have reported the following bugs on the bugtracker 447-451,453-454]
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------

Robert Traynor (BobT) wrote:

>Hi All,
>
>I am testing Michael Barrows original CD disk (previously
>discussed on this list).
>
>I ran the command  from the ROOT dir of my DVD reader which is drive T:
>T:\ecs\install\cdmd5chk.cmd
>
>The result was as follows:-
>
>Inconsistent MD5 :\BOOTIMGS\BOOT_CAT.BIN
>Missing file :\CID\SERVER\MPTS\MPTN\IBMGSK\copyri~1.txt
>Missing file :\CID\SERVER\MPTS\MPTN\IBMGSK40\copyri~1.txt
>Missing file :\CID\SERVER\MPTS\MPTN\IBMGSK50\copyri~1.txt
>
>
>With regard to the MISSING files there IS a file "copyri1.txt"
>at each of the IBMGSK* locations and this is possibly NOT a
>serious error.  Note the lack of a "~" tilde character.!
>
>However I am concerned at the BOOT_CAT.BIN error.
>
>So then I ran the same test on my OWN eCS install disk.
>I have exactly the same errors.!
>
>And yet Michael Barrows was able to install from the copy of
>MY CD disk, that was copied by Nero under windows XP.
>Perhaps Nero has rectified some of the errors.?
>
>
>Anyone have any bright ideas here.?
>
>Mark Rogers, could you please advise.?
>
>
>Regards,
>BobT.
>  
>
>   ,-._|\       Robert Traynor        (BobT)
> /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
> \_,--.x/ 
>  
>

[attachments have been removed]
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sat, 07 Jun 2003 18:47:29 -0850 (CDT)
From:  "Gregory Hicks" <ghicks at ihug dot com dot au>
Subject:   Movement at the station

Hi All,

I am advising OS/2 enthusiasts that I am moving to Sydney effective 7 July 03.

To all the Adelaide people, thanks for having me and I intend to continue to support the 
club there.

As soon as I have a permanent abode in the region I will post to individuals around the 
traps.

Cheers/2

Gregory Hicks

----------------------------------------------------------------------------------